Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlUnionMember

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlUnionMember

All Implemented Interfaces:
  idlObject, idlUnionMember, java.io.Serializable

public class IdlUnionMember
extends IdlObject
implements idlUnionMember

Cette classe represente l'objet IDL Union member

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:23 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlUnionMember(IdlObject father)` Cree un objet IDL Union member

Method Summary
`java.lang.String` | `expression()` Return the expression
`java.lang.String` | `getExpression()` Retourne l'expression du discriminant
`long` | `getValue()` Retourne la valeur du discriminant
`idlObject` | `internal()` Return the internal type
`boolean` | `isAsNext()` Retourne le flag indiquant si le type du membre est identique au second
`boolean` | `isDefault()` Return true if this member is a default member
`void` | `memberTypeAndNameIs(IdlObject obj, java.lang.String s)` Fixe le Type du membre de l'union
`void` | `setAsDefault()` Positionne _default a TRUE ce qui indique que ce membre est un membre par defaut.
`void` | `setAsNext()` Permet d'indiquer que le type de ce membre est le meme que celui du prochain membre
`void` | `setExpression(java.lang.String expr)` Fixe l'expression du discriminant
`void` | `setValue(long val)` Fixe la valeur du discriminant
`IdlObject` | `type()` Retourne le type du membre
`void` | `type(IdlObject tp)` Fixe le type du membre
`java.lang.Long` | `value()` Return the expression value as long

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Constructor Detail

### IdlUnionMember

    public IdlUnionMember(IdlObject father)

  Cree un objet IDL Union member

Method Detail

### type

    public IdlObject type()

  Retourne le type du membre
  Overrides:
    `type` in class `IdlObject`
  Returns:
    le type

### type

    public void type(IdlObject tp)

  Fixe le type du membre
  Overrides:
    `type` in class `IdlObject`
  Parameters:
    `tp` - le type

### setExpression

    public void setExpression(java.lang.String expr)

  Fixe l'expression du discriminant
  Parameters:
    `expr` - l'expression

### getExpression

    public java.lang.String getExpression()

  Retourne l'expression du discriminant
  Returns:
    l'expression

### setValue

    public void setValue(long val)

  Fixe la valeur du discriminant
  Parameters:
    `val` - la valeur

### getValue

    public long getValue()

  Retourne la valeur du discriminant
  Returns:
    la valeur

### setAsNext

    public void setAsNext()

  Permet d'indiquer que le type de ce membre est le meme que celui du prochain membre

### setAsDefault

    public void setAsDefault()

  Positionne _default a TRUE ce qui indique que ce membre est un membre par defaut.

### isAsNext

    public boolean isAsNext()

  Retourne le flag indiquant si le type du membre est identique au second

### memberTypeAndNameIs

    public void memberTypeAndNameIs(IdlObject obj,
                                    java.lang.String s)

  Fixe le Type du membre de l'union

### isDefault

    public boolean isDefault()

  Description copied from interface: `idlUnionMember`
  Return true if this member is a default member
  Specified by:
    `isDefault` in interface `idlUnionMember`

### expression

    public java.lang.String expression()

  Description copied from interface: `idlUnionMember`
  Return the expression
  Specified by:
    `expression` in interface `idlUnionMember`

### value

    public java.lang.Long value()

  Description copied from interface: `idlUnionMember`
  Return the expression value as long
  Specified by:
    `value` in interface `idlUnionMember`

### internal

    public idlObject internal()

  Description copied from interface: `idlUnionMember`
  Return the internal type
  Specified by:
    `internal` in interface `idlUnionMember`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD